PATCH Trivial fix for xconfig

From: Chris Lingard
Date: Mon Jul 19 2004 - 08:53:55 EST


All versions of Linux 2-6

When qt is installed in /usr, then there is no need to set and
export QTDIR; but make xconfig expects this.

This patch adds /usr to the script, and removes two header search
paths that would need QTDIR set.

diff -Naur linux-2.6.7.old/scripts/kconfig/Makefile
linux-2.6.7/scripts/kconfig/Makefile
--- linux-2.6.7.old/scripts/kconfig/Makefile 2004-04-05 18:19:04.000000000
+0100
+++ linux-2.6.7/scripts/kconfig/Makefile 2004-07-19 13:35:28.914128104
+0100
@@ -112,7 +112,7 @@

# QT needs some extra effort...
$(obj)/.tmp_qtcheck:
- @set -e; for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
+ @set -e; for d in $$QTDIR /usr; do \
if [ -f $$d/include/qconfig.h ]; then DIR=$$d; break; fi; \
done; \
if [ -z "$$DIR" ]; then \

Signed off Chris Lingard chris@xxxxxxxxxx
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/